Uploaded image for project: 'PUBLIC - Liferay Portal Community Edition'
  1. PUBLIC - Liferay Portal Community Edition
  2. LPS-70897

Log an error when portal-dependency-jars is used since it is no longer supported

    Details

      Description

      Steps to Reproduce

      1. Deploy the sample-struts-portlet from liferay-plugins (https://github.com/liferay/liferay-plugins/tree/master/portlets/sample-struts-portlet)
      2. Assert ClassNotFoundException

      The issue is that using portal-dependency-jars is no longer supported and the JARs listed there will not be available to the plugin. The resolution is to either add the necessary JARs to an ivy.xml or export the packages using the

      module.framework.system.packages.extra

      portal property.

      This fix will add an error message letting clients know that this feature is no longer supported.

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Days since last comment:
                  2 years, 32 weeks, 6 days ago

                  Packages

                  Version Package
                  7.0.0 DXP SP2
                  7.0.0 DXP FP13
                  7.0.0 DXP SP3
                  7.0.3 CE GA4
                  7.1.X
                  Master